#ifdef ARC_NONE_GRAPHICS

#include "arc/graphics/sprite.h"
#include <stdio.h>

void ARC_Sprite_Create(ARC_Sprite **sprite, ARC_Spritesheet *spritesheet, ARC_Array *frames){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_Destroy(ARC_Sprite *sprite){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_Copy(ARC_Sprite **newSprite, ARC_Sprite *oldSprite){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_Render(ARC_Sprite *sprite, ARC_Renderer *renderer, ARC_Rect *renderBounds){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_RenderFlip(ARC_Sprite *sprite, ARC_Renderer *renderer, ARC_Rect *renderBounds, enum ARC_Sprite_Axis axis){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_RenderRotated(ARC_Sprite *sprite, ARC_Renderer *renderer, ARC_Rect *renderBounds, ARC_Point *center, double angle){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_SetFrameIndex(ARC_Sprite *sprite, uint32_t index){
    printf("No Graphics Backend Selected\n");
}

void ARC_Sprite_IterateFrame(ARC_Sprite *sprite){
    printf("No Graphics Backend Selected\n");
}

ARC_Rect *ARC_Sprite_GetBounds(ARC_Sprite *sprite){
    printf("No Graphics Backend Selected\n");
    return NULL;
}

ARC_Array *ARC_Sprite_GetAllBounds(ARC_Sprite *sprite){
    printf("No Graphics Backend Selected\n");
    return NULL;
}

#endif // !ARC_NONE_GRAPHICS